﻿using System;
using System.IO;
using System.Data;

namespace Joycode.Reader.Framework
{
	/// <summary>
	/// Summary description for DataStore.
	/// </summary>
	public class LocalData
	{
		public LocalData()
		{
			
		}
		
		public static DataSet LoadData(string storeFile)
		{
			DataSet set = InitDataSet();
			if (File.Exists(storeFile))
				set.ReadXml(storeFile);
			
			return set;


		}
		public static void SaveData(DataSet set,string storeFile)
		{
			set.WriteXml(storeFile);
		}
		
		
		private static DataSet InitDataSet()
		{
			DataSet set = new DataSet();
			DataTable blogs = new DataTable("BLOGS");
			DataColumn id = new DataColumn("ID", typeof(int));
			id.AutoIncrement = true;
			id.AutoIncrementSeed = 1;
			id.AutoIncrementStep = 1;
			blogs.Columns.Add(id);
			//blogs.Columns.Add("ID", typeof(int));
			blogs.Columns.Add("title", typeof(string));
			blogs.Columns.Add("WebUrl", typeof(string));
			blogs.Columns.Add("RssUrl", typeof(string));
			blogs.Columns.Add("LastModified", typeof(DateTime));
			set.Tables.Add(blogs);
			DataTable items = new DataTable("ITEMS");
			id = new DataColumn("ID", typeof(int));
			id.AutoIncrement = true;
			id.AutoIncrementSeed = 1;
			id.AutoIncrementStep = 1;
			items.Columns.Add(id);
			items.Columns.Add("unread", typeof(bool));
			items.Columns.Add("blogid", typeof(int));
			items.Columns.Add("title", typeof(string));
			items.Columns.Add("author", typeof(string));
			items.Columns.Add("content", typeof(string));
			items.Columns.Add("pubDate", typeof(DateTime));
			items.Columns.Add("link", typeof(string));
			set.Tables.Add(items);
			return set;
		}
	}
}
