using System;
using System.IO;
using System.Net;
using System.Xml;
namespace Joycode.SmartDocument.RSS
{
	/// <summary>
	/// Manager ժҪ˵
	/// </summary>
	public class Manager
	{
		private string url;
		private BLOG blog;
		private string result;
		public Manager()
		{
			//BLOG=new BLOG();
		}
		public string Result
		{
			get
			{
				return this.result;
			}
		}
		public string Url
		{
			get
			{
				return this.url;
			}
			set
			{
				this.url=value;
			}
		}
		public BLOG Blog
		{
			get
			{
				return this.blog;
			}
		}
		public void Update()
		{
			HttpWebRequest webRequest=null;
			try
			{
				webRequest=HttpWebRequest.Create(new Uri(url)) as HttpWebRequest;
				HttpWebResponse webResponse=webRequest.GetResponse() as HttpWebResponse;
				StreamReader reader=new StreamReader(webResponse.GetResponseStream(),System.Text.Encoding.UTF8);
				string temp=reader.ReadToEnd();
				this.ParseContent(temp);
				reader.Close();
				webResponse.Close();
				this.result=temp;
				
			}
			catch
			{
			}
			
			
		}
		private void ParseContent(string content)
		{
			//this.OnRemoteUpdate(new UpdateState("ʼ", false, false));
			XmlDocument document = new XmlDocument();
			document.LoadXml(content);
			XmlNode root = document.FirstChild;
			if (root.Name.Equals("rss"))
			{
				this.ParseRssContent(document);

			}
			
			
		}
		private void ParseRssContent(XmlDocument document)
		{
			//this.OnRemoteUpdate(new UpdateState("RSS", false, false));
			
			string name = document.GetElementsByTagName("title")[0].InnerText;
			string link = document.GetElementsByTagName("link")[0].InnerText;
			blog=new BLOG(name,link);
			XmlNodeList lists = document.GetElementsByTagName("item");
			string title="";
			
			DateTime pubdate=DateTime.MinValue;
			//string description="";
			string content="";
			string author="";
			
			foreach (XmlNode node in lists)
			{
				foreach (XmlNode child in node.ChildNodes)
				{
					
					switch (child.Name)
					{
						case "title":
							title = child.InnerText;
							break;
						case "link":
							link=child.InnerText;
							break;
						case "pubDate":
							pubdate = DateTime.Parse(child.InnerText);
							break;
						case "description":
							content= child.InnerText;
							break;
						
						case "author":
							author = child.InnerText;
							break;
						case "dc:creator":
							author = child.InnerText;
							break;
					}
					

				}
				blog.Add(new RssItem(title,link,content,author,"",pubdate));

				

				
			}
			
		}
	}
}
